#### D.5.18.5 sheafCohBGGregul

Procedure from library `sheafcoh.lib` (see sheafcoh_lib).

Usage:
  sheafCohBGGregul(M,l,h); M module, l,h int, reg int

Assume:
  `M` is graded, and it comes assigned with an admissible degree vector as an attribute, `h>=l`, and the basering has `n+1` variables.

Return:
  intmat, cohomology of twists of the coherent sheaf F on P^n associated to coker(M). The range of twists is determined by `l`, `h`.

Note:
  This procedure is based on the Bernstein-Gel'fand-Gel'fand correspondence and on Tate resolution ( see [Eisenbud, Floystad, Schreyer: Sheaf cohomology and free resolutions over exterior algebras, Trans AMS 355 (2003)] ).
  `sheafCohBGG(M,l,h)` does not compute all values in the above table. To determine all values of `h^i(F(d))`, `d=l..h`, use `sheafCohBGG(M,l-n,h+n)`.

Example:

    LIB "sheafcoh.lib";
    // cohomology of structure sheaf on P^4:
    //-------------------------------------------
    ring r=0,x(1..5),dp;
    module M=0;
    def A=sheafCohBGGregul(M,-9,4,CM_regularity(M));
    A;
    ==> 70,35,15,5,1,0,0,0,0,0,-1,-1,-1,-1,
    ==> -1,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,
    ==> -1,-1,0,0,0,0,0,0,0,0,0,0,-1,-1,
    ==> -1,-1,-1,0,0,0,0,0,0,0,0,0,0,-1,
    ==> -1,-1,-1,-1,0,0,0,0,0,1,5,15,35,70
    // cohomology of cotangential bundle on P^3:
    //-------------------------------------------
    ring R=0,(x,y,z,u),dp;
    resolution T1=mres(maxideal(1),0);
    module M=T1[3];
    intvec v=2,2,2,2,2,2;
    attrib(M,"isHomog",v);
    def B=sheafCohBGGregul(M,-8,4,CM_regularity(M));
    B;
    ==> 189,120,70,36,15,4,0,0,0,0,-1,-1,-1,
    ==> -1,0,0,0,0,0,0,0,0,0,0,-1,-1,
    ==> -1,-1,0,0,0,0,0,0,1,0,0,0,-1,
    ==> -1,-1,-1,0,0,0,0,0,0,0,6,20,45

See also: dimH; displayCohom; sheafCoh.

User manual for Singular version 4.4.1, 2025, generated by texi2html.